{
	"name": "table/common/rag.json",
	"table_name": "rag",
	"table_prefix": "rag",
	"record_type": [""],
	"table_name_language": {
		"": "rag"
	},
	"default_field": "table/prf/default_field.json",
	"default_order": [
		{
			"field": "file_path",
			"order": ">"
		}
	],
	"field": [
		{
			"constraint": ["primary key"],
			"field_name": "file_path",
			"field_type": "text"
		},
		{
			"field_name": "content",
			"field_type": "text"
		},
		{
			"field_name": "embedding",
			"field_type": "vector",
			"nullable": true
		}
	],
	"extra_field": [
		{
			"field_name": "json_data.product_id",
			"field_type": "text"
		},
		{
			"field_name": "json_data.product_name",
			"field_type": "text"
		},
		{
			"field_name": "json_data.match_count",
			"field_type": "integer"
		},
		{
			"field_name": "json_data.file_type",
			"field_type": "text"
		},
		{
			"field_name": "json_data.file_depth",
			"field_type": "integer"
		},
		{
			"field_name": "json_data.main_folder",
			"field_type": "text"
		}
	]
}
